<template>
  {{ str }}
</template>

<script setup lang="ts">
  import type{ PropType } from "vue"
  import type { MultilangString } from "./types"
  import { useI18n } from "vue-i18n"

  const props = defineProps({
    str: {
      type: [String, Object] as PropType<string|MultilangString>
    }
  })

  const {locale} = useI18n()
  const str = computed(() => {
    const propsStr = props.str

    if (typeof propsStr === 'string') {
      return propsStr
    }
    
    return propsStr[locale.value]
  })
</script>
